package Wx

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/Wx"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /wx Wx GetWxById
//
// Get wx by ID | 通过ID获取Wx
//
// Get wx by ID | 通过ID获取Wx
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDReq
//
// Responses:
//  200: WxInfoResp

func GetWxByIdHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := Wx.NewGetWxByIdLogic(r.Context(), svcCtx)
		resp, err := l.GetWxById(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
